package file_request

import (
	"os"
	"private-go-sdk/http"
)

type FileVerifyRequest struct {
	// <ext>core:true</ext> 【文件】文件 【作用】 上传需要验签的文件 【传参】 支持的文件格式：pdf，ofd。 
	File *os.File `json:"file,omitempty"`
}
func (obj FileVerifyRequest) GetUrl() string {
    return "/file/verify"
}

func (obj FileVerifyRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    parameter.AddFiles("file", obj.File)
    return parameter
}
